For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Update Page

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages/:pageId
PUT
/stores/:store_hash/v3/content/pages/:pageId
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/content/pages/pageId \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": 42,
4 "channel_id": 12,
5 "name": "About Our Company",
6 "is_visible": true,
7 "parent_id": 0,
8 "sort_order": 1,
9 "type": "page",
10 "is_homepage": false,
11 "is_customers_only": false,
12 "url": "/about-our-company",
13 "meta_title": "Learn More About Our Company",
14 "meta_keywords": "company,about us,history,team",
15 "meta_description": "Discover the story behind our company and meet the team that makes it all happen.",
16 "search_keywords": "company,about us,team,history"
17 },
18 "meta": {
19 "pagination": {
20 "total": 1,
21 "count": 1,
22 "per_page": 10,
23 "current_page": 1,
24 "total_pages": 1,
25 "links": {
26 "previous": "",
27 "current": "https://api.bigcommerce.com/stores/store_hash/v3/content/pages/42",
28 "next": ""
29 }
30 }
31 }
32}
Updates one content page.
Was this page helpful?
Previous

Get Page

Next

Delete Page

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

pageIdstringRequired
The ID of the page to be operated on.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Request

channel_idintegerOptionalDefaults to 1
The ID of the channel where this page should be shown.
namestringOptional1-100 characters
The name of the page. Must be unique.
is_visiblebooleanOptional

Boolean value that specifies the visibility of the page in the storefront’s navigation menu.

Indicates whether the page is available to users and visible in any menus.

parent_idintegerOptionalDefaults to 0
ID of any parent Web page.
sort_orderintegerOptionalDefaults to 0

Specifies the order in which the page is displayed on the storefront. (Lower integers specify earlier display.)

typeenumOptional

Specifies the type of page. See Pages V3 page types for more about the differences.

Allowed values:
bodystring or nullOptional

HTML or variable that populates the element of this page, in default/desktop view. Required in a POST request if the page type is raw.

is_homepagebooleanOptional

Boolean value that specifies whether this page is the storefront’s home page.

is_customers_onlybooleanOptional

Boolean value. When true, this page is visible only to logged-in customers.

emailstringOptional<=255 characters

Applicable when the page type is contact_form: contact email address that receives messages sent via the form. Must be unique.

meta_titlestring or nullOptional
linkstringOptional

Required in a POST request to create a link if the page type is link.

contact_fieldsstringOptional

Applicable when the page type is contact_form: comma-separated list of keywords representing the fields enabled in the control panel for storefront display. Possible fields include:

FieldDescription
fullnameFull name of the customer submitting the form
phoneCustomer’s phone number, as submitted on the form
companynameCustomer’s submitted company name
ordernoCustomer’s submitted order number
rmaCustomer’s submitted RMA (Return Merchandise Authorization) number
meta_keywordsstring or nullOptionalDefaults to

Comma-separated list of SEO-relevant keywords to include in the element of this page.

meta_descriptionstring or nullOptional
Description contained within the element of this page.
search_keywordsstring or nullOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

urlstringOptional
Relative URL on the storefront for this page.

Response

dataobject
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.